Page MenuHomePhabricator

Wrong alias shown in watchlist/history when updating an alias
Closed, ResolvedPublic3 Story Points

Description

When I edit an alias, the message in the edit summary, that appears in the history/watchlist is: "Updated [language] alias", and then the old alias. For more clarity, it should probably show the new alias that has been entered.

Tested here: I changed the French alias from "Bac à Sable (7rkujizi)" to "test" and the message appearing in the edit summary is the previous alias.

Requested by the community here

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 7:37 AM
Lydia_Pintscher set the point value for this task to 3.May 2 2018, 2:05 PM

Change 430609 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Make wbsetaliases API use new aliases instead of the old ones in summary

https://gerrit.wikimedia.org/r/430609

Ladsgroup claimed this task.May 3 2018, 3:27 PM
Ladsgroup moved this task from User Stories to Needs Review on the Wikidata-Ministry-Of-Magic board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 3 2018, 3:27 PM

Change 432064 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Added tests for summary of edits made by wbsetaliases API

https://gerrit.wikimedia.org/r/432064

Change 432065 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] wbsetaliases: when changing aliases, include post-edit aliases in the summary

https://gerrit.wikimedia.org/r/432065

Change 430609 abandoned by Ladsgroup:
Make wbsetaliases API use new aliases instead of the old ones in summary

https://gerrit.wikimedia.org/r/430609

Ladsgroup reassigned this task from Ladsgroup to WMDE-leszek.
Ladsgroup added a subscriber: Ladsgroup.

Change 432064 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Added tests for summary of edits made by wbsetaliases API

https://gerrit.wikimedia.org/r/432064

Change 432065 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] wbsetaliases: when changing aliases, include post-edit aliases in the summary

https://gerrit.wikimedia.org/r/432065

Lydia_Pintscher closed this task as Resolved.May 14 2018, 9:25 AM
Lydia_Pintscher moved this task from User Stories to Done on the Wikidata-Ministry-Of-Magic board.

Nevermind. Working on https://wikidata.beta.wmflabs.org/w/index.php?title=Q458254&diff=1006082&oldid=1006081 now \o/ Will be rolled out with the next train.